# ARBMultiBind (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class ARBMultiBind

    java.lang.Object
      org.lwjgl.opengl.ARBMultiBind

    public final class ARBMultiBind

extends java.lang.Object

Method Summary
`static void` `glBindBuffersBase(int target, int first, int count, java.nio.IntBuffer buffers)`
`static void` `glBindBuffersRange(int target, int first, int count, java.nio.IntBuffer buffers, PointerBuffer offsets, PointerBuffer sizes)`
`static void` `glBindImageTextures(int first, int count, java.nio.IntBuffer textures)`
`static void` `glBindSamplers(int first, int count, java.nio.IntBuffer samplers)`
`static void` `glBindTextures(int first, int count, java.nio.IntBuffer textures)`
`static void` `glBindVertexBuffers(int first, int count, java.nio.IntBuffer buffers, PointerBuffer offsets, java.nio.IntBuffer strides)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### glBindBuffersBase

    public static void glBindBuffersBase(int target,
                                         int first,
                                         int count,
                                         java.nio.IntBuffer buffers)

### glBindBuffersRange

    public static void glBindBuffersRange(int target,
                                          int first,
                                          int count,
                                          java.nio.IntBuffer buffers,
                                          PointerBuffer offsets,
                                          PointerBuffer sizes)

### glBindTextures

    public static void glBindTextures(int first,
                                      int count,
                                      java.nio.IntBuffer textures)

### glBindSamplers

    public static void glBindSamplers(int first,
                                      int count,
                                      java.nio.IntBuffer samplers)

### glBindImageTextures

    public static void glBindImageTextures(int first,
                                           int count,
                                           java.nio.IntBuffer textures)

### glBindVertexBuffers

    public static void glBindVertexBuffers(int first,
                                           int count,
                                           java.nio.IntBuffer buffers,
                                           PointerBuffer offsets,
                                           java.nio.IntBuffer strides)

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.